[jbossws-commits] JBossWS SVN: r2047 - in branches/jbossws-1.2.0/build/hudson: jboss and 1 other directory.

jbossws-commits at lists.jboss.org jbossws-commits at lists.jboss.org
Tue Jan 23 16:51:43 EST 2007


Author: thomas.diesler at jboss.com
Date: 2007-01-23 16:51:43 -0500 (Tue, 23 Jan 2007)
New Revision: 2047

Added:
   branches/jbossws-1.2.0/build/hudson/jboss/
   branches/jbossws-1.2.0/build/hudson/jboss/jboss.sh
Log:
Add jboss start script

Added: branches/jbossws-1.2.0/build/hudson/jboss/jboss.sh
===================================================================
--- branches/jbossws-1.2.0/build/hudson/jboss/jboss.sh	                        (rev 0)
+++ branches/jbossws-1.2.0/build/hudson/jboss/jboss.sh	2007-01-23 21:51:43 UTC (rev 2047)
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+if [ -z "$1" ]
+then
+ echo "Please specify a jboss instance to be started"; exit 1;
+fi
+
+#define where jboss is - this is the directory containing directories log, bin, conf etc
+JBOSS_INSTANCE=$1
+
+echo "Using jboss instance $JBOSS_INSTANCE"
+
+case "$2" in
+start)
+    cd $JBOSS_INSTANCE/bin
+    ./run.sh > /dev/null &
+    ;;
+stop)
+    cd $JBOSS_INSTANCE/bin
+    ./shutdown.sh -S > /dev/null &
+    ;;
+restart)
+    $0 stop
+    $0 start
+    ;;
+*)
+    echo "usage: $0 (start|stop|restart|help)"
+esac
+


Property changes on: branches/jbossws-1.2.0/build/hudson/jboss/jboss.sh
___________________________________________________________________
Name: svn:executable
   + *




More information about the jbossws-commits mailing list